//img要素
var img;

//アニメ配列,アニメ枚数位置(アニメ番号)
var anim;
var animIndex;

//キャラクター座標と速度
var x, y;
var vx, vy;


//main関数定義
function main(){
	
	//画像表示
	img=document.createElement("img");
	document.body.appendChild(img);
	img.src="heart00.png";
	
	//アニメ配列初期化
	anim=new Array(
		"heart00.png","heart01.png",
		"heart02.png","heart03.png"
		);
	
	//アニメ位置初期化
	animIndex=0;
	
	//画像の表示位置を絶対座標で指定
	img.style.position="absolute";
	
	//座標と速度の初期化
	x 	= 0;
	y 	= 0;
	vx 	= 10;
	vy 	= 10;
	
	//一定時間ごとに実行する処理を登録する
	setInterval(update, 100);
	
	

}

//一定時間ごとに実行する処理
function update() {
	img.src=anim[animIndex];
	animIndex++;
	if (animIndex>=anim.length) {
		animIndex=0;
	}
	
	//座標を更新
	x += vx;
	y += vy;
	
	//画面上の一定範囲を外れたら速度の符号を反転
	if(x<=0 || x>=400) vx=-vx;
	if(y<=0 || y>=300) vy=-vy;
	
	//画像の座標を更新
	img.style.left=x+"px";
	img.style.top=y+"px";
}
